Subject: [PATCH] ARM: tegra: beaver: allow SD card voltage to be changed

From: [email-masked] (Adrian Hunter)
Date: Tue, 28 Jun 2016 16:27:29 +0300

On 24/06/16 12:14, Jon Hunter wrote:
> Hi Adrian,
> 
> On 14/06/16 15:19, Jon Hunter wrote:
> 
> ...
> 
>>>> So the controller itself supports UHS-I modes, but a given board may not
>>>> have the regulator to support them. We need a way to determine if the
>>>> board can support the UHS-I modes. Now we could check to see if the
>>>> regulator is present in the Tegra SDHCI driver and if not remove the cap
>>>> flags. However, I was not sure if this is applicable to other sdhci
>>>> controllers and so there should be a generic solution for this?
>>>
>>> There is SDHCI_QUIRK2_NO_1_8_V but it doesn't cover the eMMC 1.8V DDR52 case
>>> at present.  Dong Aisheng wanted to plug that gap but I wanted to get rid of
>>> SDHCI_QUIRK2_NO_1_8_V:
>>>
>>> 	http://marc.info/?l=linux-mmc&m=146132847206423&w=2
>>
>> Ok, that would require the tegra sdhci driver to set this quirk for a
>> board, which is do-able, I guess. However, given the above I am not sure
>> what path you are suggesting we take to resolve this? Does not sound
>> like we should be looking at using SDHCI_QUIRK2_NO_1_8_V anyway.
> 
> Any feedback here? Are you still planning to get rid of
> SDHCI_QUIRK2_NO_1_8_V or should we use this?

Don't use SDHCI_QUIRK2_NO_1_8_V.

I sent some patches that make it easier for drivers to do whatever they want:

	http://marc.info/?l=linux-mmc&m=146712062816835